at.chipkarte.client.sts.soap

## Interface IStsService

-     public interface IStsService

  Dieses Service stellt die Funktionalitäten des Security Token Service (STS) zur Verfügung.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `RequestSamlAssertionResp` | `requestSamlAssertion(String dialogId, RequestSamlAssertionReq requestSamlAssertionReq, String cardToken)` Mit dieser Funktion kann ein SAML-Ticket, zur Authentifizierung gegenüber Drittsystemen, generiert werden.

- - ### Method Detail

    - #### requestSamlAssertion

          RequestSamlAssertionResp requestSamlAssertion(String dialogId,
                                                        RequestSamlAssertionReq requestSamlAssertionReq,
                                                        String cardToken)
                                                 throws AccessException,
                                                        ServiceException,
                                                        DialogException,
                                                        StsException,
                                                        InvalidParameterStsException

      Mit dieser Funktion kann ein SAML-Ticket, zur Authentifizierung gegenüber Drittsystemen, generiert werden.

      Voraussetzungen:

      - Funktion `setDialogAddress` wurde erfolgreich ausgeführt.
      - Der Dialog ist im Online-Modus.
      - Zugriff auf STS (siehe `STS_CORE`).
      - Zur Erstellung eines STS-Tickets Patientenkontakt-Tickets mit e-card muss ein entsprechendes CardToken (Signatur-Token mit e-card) erzeugt werden.

      Laufzeitgruppe: Mittel

      Parameters:
        `dialogId` - Dialog ID eines aufgebauten Dialogs.
        `requestSamlAssertionReq` - Parameter zum Anfordern eines SAML-Tickets.
        `cardToken` - Mit e-card erzeugtes Signaturtoken.
        Angabe: Optional. Bei der Ausstellung eines Authetifizierungstickets darf kein CardToken angegeben werden, bei Patientenkontakt-Tickets wird nur ein mit e-card erzeugtes CardToken unterstützt.
      Returns:
        Generierte SAML-Assertion als XML-String.
      Throws:
        `AccessException` - `MISSING_STS_CORE`
        `ServiceException` - `CONNECTION_ERROR`, `INTERNAL_ERROR`, `INCOMPATIBILITY_EXCEPTION`
        `DialogException` - `DIALOG_INVALID`, `ORDINATION_ID_NOTSET`, `DIALOG_OFFLINE_MODUS_CHANGED_ONLINE`, `DIALOG_CANCELED`, `DIALOG_TIMEOUT`, `TOO_MANY_OPEN_DIALOGS_FOR_OR_CLI`, `DIALOG_UNKNOWN`, `ORDINATION_ID_UNKNOWN`, `CORRUPT_DIALOGID`, `CARD_INVALID`, `SIGNATURE_INVALID`, `CARDTOKEN_EXPIRED`, `CARDTOKEN_INVALID`, `CARDTOKEN_SVNR_MISMATCH`, `CARDTOKEN_VPNR_MISMATCH`, `CARDTOKEN_TYPE_NOT_ALLOWED`, `MULTIPLE_DIALOGID`, `DIALOG_CURRENTLY_USED`
        `StsException` - `ASSERTION_SIGNING_FAILED`, `PATIENT_CONTACT_QUALITY_VIOLATION`, `NO_SVPERSON`, `TICKETNAME_INVALID_NO_CONFIG_FOR_VERSION`, `NO_QUALIFICATION_FOR_REQUEST_ASSERTION`, `TICKETSUBJECT_INVALID_WRONG_TICKET_STATE`, `TICKETSUBJECT_INVALID_NO_CONFIG_AVAILABLE`
        `InvalidParameterStsException` - `INVALID_SV_NUMBER`, `RESPONSEURL_INVALID_FORMAT`, `RESPONSEURL_MAX_LENGTH_EXCEEDED`, `TICKETSUBJECT_INVALID_FORMAT`, `TICKETSUBJECT_MAX_LENGTH_EXCEEDED`, `TICKETSUBJECT_MISSING`, `TICKETSUBJECT_VPNR_DIALOGID_MISSMATCH`, `TICKETSUBJECT_VPNR_INVALID_FORMAT`, `SAME_TICKETPARAMETER_REPEATED`,